# Uses of Class
org.jboss.classfilewriter.ClassMethod

Packages that use ClassMethod
Package
Description
org.jboss.classfilewriter
org.jboss.classfilewriter.attributes
org.jboss.classfilewriter.code

## Uses of ClassMethod in org.jboss.classfilewriter

Methods in org.jboss.classfilewriter that return ClassMethod
Modifier and Type
Method
Description
`ClassMethod`
ClassFile.`addConstructor(Constructor<?> method)`
Adds a constructor with the same signiture as the given constrcutor, including exception types
`ClassMethod`
ClassFile.`addMethod(int accessFlags, String name, String returnType, String... parameters)`
`ClassMethod`
ClassFile.`addMethod(Method method)`
Adds a method with the same signiture as the given method, including exception types
Methods in org.jboss.classfilewriter that return types with arguments of type ClassMethod
Modifier and Type
Method
Description
`Set<ClassMethod>`
ClassFile.`getMethods()`

## Uses of ClassMethod in org.jboss.classfilewriter.attributes

Constructors in org.jboss.classfilewriter.attributes with parameters of type ClassMethod
Modifier
Constructor
Description
``
`StackMapTableAttribute(ClassMethod classMethod, ConstPool constPool)`

## Uses of ClassMethod in org.jboss.classfilewriter.code

Constructors in org.jboss.classfilewriter.code with parameters of type ClassMethod
Modifier
Constructor
Description
``
`CodeAttribute(ClassMethod method, ConstPool constPool)`
``
`LocalVariableState(ClassMethod method)`
construct the initial local variable state for a method
``
`StackFrame(ClassMethod method)`
Creates the initial stack frame